import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

import com.sun.syndication.feed.synd.SyndEnclosure;
import com.sun.syndication.feed.synd.SyndEnclosureImpl;
import com.sun.syndication.feed.synd.SyndEntry;
import com.sun.syndication.feed.synd.SyndEntryImpl;
import com.sun.syndication.feed.synd.SyndFeed;
import com.sun.syndication.feed.synd.SyndFeedImpl;
import com.sun.syndication.io.FeedException;
import com.sun.syndication.io.SyndFeedOutput;


public class RSSGen
{
	public static void main(String[] args) throws FeedException, IOException
	{
		System.out.println(getRSS(args[0], args[1]));
	}
	
	
	@SuppressWarnings({
			"rawtypes", "unchecked"
	})
	public static String getRSS(String baseUrl, String desc) throws FeedException, IOException
	{
		String feedType = "rss_2.0";
		SyndFeed feed = new SyndFeedImpl();
		feed.setEncoding("UTF-8");
		feed.setFeedType(feedType);

		feed.setTitle("RSSGen");
		feed.setLink(baseUrl);
		feed.setDescription(desc);
		List entries = new ArrayList();
		feed.setEntries(entries);
		
		Vector v = new Vector();
		BufferedReader r = new BufferedReader(new InputStreamReader(System.in));
		String s;
		while((s = r.readLine()) != null)
		{
			v.add(s);
		}
		
		for (int i = 0; i < v.size(); i++)
		{
			String ss = (String) v.elementAt(i);
			File f = new File(ss);
			SyndEntry entry = new SyndEntryImpl();
			int ii = ss.indexOf('-');
			if (ii != -1)
			{
				String author = ss.substring(0, ii);
				String title = ss.substring(ii + 1);
				int xx = title.lastIndexOf(".mp4");
				if (xx != -1)
					title = title.substring(0, xx);
				entry.setTitle(normalize(title));
				entry.setAuthor(normalize(author));
			}
			entry.setLink(baseUrl + "/"  + f.getName());
			SyndEnclosure enclosure = new SyndEnclosureImpl();
			enclosure.setUrl(baseUrl + "/"  + f.getName());
			enclosure.setType("video/mp4");
			List enc = new ArrayList();
			enc.add(enclosure);
			entry.setEnclosures(enc);
			entries.add(entry);
		}

		SyndFeedOutput output = new SyndFeedOutput();
		return output.outputString(feed);
	}


	private static String normalize(String s)
	{
		return s.replace('_', ' ');
	}


}
